Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## echopointng.ui.util.io
Class CapturedHttpServletResponse

    java.lang.Object
      echopointng.ui.util.io.CapturedHttpServletResponse

    public class CapturedHttpServletResponse

extends java.lang.Object

An HttpServletResponse that will capture the content as it otherwise passes into the ether.

Constructor Summary
`CapturedHttpServletResponse(HttpServletResponse wrappedResponse)`

Method Summary
`void` | `addCookie(Cookie arg0)`
`void` | `addDateHeader(java.lang.String arg0, long arg1)`
`void` | `addHeader(java.lang.String arg0, java.lang.String arg1)`
`void` | `addIntHeader(java.lang.String arg0, int arg1)`
`boolean` | `containsHeader(java.lang.String arg0)`
`java.lang.String` | `encodeRedirectUrl(java.lang.String arg0)` Deprecated.
`java.lang.String` | `encodeRedirectURL(java.lang.String arg0)`
`java.lang.String` | `encodeUrl(java.lang.String arg0)` Deprecated.
`java.lang.String` | `encodeURL(java.lang.String arg0)`
`void` | `flushBuffer()`
`int` | `getBufferSize()`
`java.io.InputStream` | `getCapturedInputStream()` Returns the captured output as an InputStream ready for reading
`java.lang.String` | `getCharacterEncoding()`
`java.lang.String` | `getContentType()` Added for Servlet 2.4 support
`java.util.Locale` | `getLocale()`
`ServletOutputStream` | `getOutputStream()`
`java.io.PrintWriter` | `getWriter()`
`int` | `hashCode()`
`boolean` | `isCommitted()`
`void` | `reset()`
`void` | `resetBuffer()`
`void` | `sendError(int arg0)`
`void` | `sendError(int arg0, java.lang.String arg1)`
`void` | `sendRedirect(java.lang.String arg0)`
`void` | `setBufferSize(int arg0)`
`void` | `setCharacterEncoding(java.lang.String newValue)` Added for Servlet 2.4 support
`void` | `setContentLength(int arg0)`
`void` | `setContentType(java.lang.String newValue)`
`void` | `setDateHeader(java.lang.String arg0, long arg1)`
`void` | `setHeader(java.lang.String arg0, java.lang.String arg1)`
`void` | `setIntHeader(java.lang.String arg0, int arg1)`
`void` | `setLocale(java.util.Locale arg0)`
`void` | `setStatus(int arg0)`
`void` | `setStatus(int arg0, java.lang.String arg1)` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CapturedHttpServletResponse

    public CapturedHttpServletResponse(HttpServletResponse wrappedResponse)

Method Detail

### getCapturedInputStream

    public java.io.InputStream getCapturedInputStream()

  Returns the captured output as an InputStream ready for reading

  Returns:
    the captured output as an InputStream ready for reading

### addCookie

    public void addCookie(Cookie arg0)

  See Also:
    `javax.servlet.http.HttpServletResponse#addCookie(javax.servlet.http.Cookie)`

### addDateHeader

    public void addDateHeader(java.lang.String arg0,
                              long arg1)

  See Also:
    `javax.servlet.http.HttpServletResponse#addDateHeader(java.lang.String, long)`

### addHeader

    public void addHeader(java.lang.String arg0,
                          java.lang.String arg1)

  See Also:
    `javax.servlet.http.HttpServletResponse#addHeader(java.lang.String, java.lang.String)`

### addIntHeader

    public void addIntHeader(java.lang.String arg0,
                             int arg1)

  See Also:
    `javax.servlet.http.HttpServletResponse#addIntHeader(java.lang.String, int)`

### containsHeader

    public boolean containsHeader(java.lang.String arg0)

  See Also:
    `javax.servlet.http.HttpServletResponse#containsHeader(java.lang.String)`

### encodeRedirectUrl

    public java.lang.String encodeRedirectUrl(java.lang.String arg0)

  Deprecated.

  See Also:
    `javax.servlet.http.HttpServletResponse#encodeRedirectUrl(java.lang.String)`

### encodeRedirectURL

    public java.lang.String encodeRedirectURL(java.lang.String arg0)

  See Also:
    `javax.servlet.http.HttpServletResponse#encodeRedirectURL(java.lang.String)`

### encodeUrl

    public java.lang.String encodeUrl(java.lang.String arg0)

  Deprecated.

  See Also:
    `javax.servlet.http.HttpServletResponse#encodeUrl(java.lang.String)`

### encodeURL

    public java.lang.String encodeURL(java.lang.String arg0)

  See Also:
    `javax.servlet.http.HttpServletResponse#encodeURL(java.lang.String)`

### flushBuffer

    public void flushBuffer()
                     throws java.io.IOException

  Throws:
    `java.io.IOException`
  See Also:
    `javax.servlet.ServletResponse#flushBuffer()`

### getBufferSize

    public int getBufferSize()

  See Also:
    `javax.servlet.ServletResponse#getBufferSize()`

### getCharacterEncoding

    public java.lang.String getCharacterEncoding()

  See Also:
    `javax.servlet.ServletResponse#getCharacterEncoding()`

### getLocale

    public java.util.Locale getLocale()

  See Also:
    `javax.servlet.ServletResponse#getLocale()`

### getOutputStream

    public ServletOutputStream getOutputStream()
                                        throws java.io.IOException

  Throws:
    `java.io.IOException`
  See Also:
    `javax.servlet.ServletResponse#getOutputStream()`

### getWriter

    public java.io.PrintWriter getWriter()
                                  throws java.io.IOException

  Throws:
    `java.io.IOException`
  See Also:
    `javax.servlet.ServletResponse#getWriter()`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`
  See Also:
    `Object.hashCode()`

### isCommitted

    public boolean isCommitted()

  See Also:
    `javax.servlet.ServletResponse#isCommitted()`

### reset

    public void reset()

  See Also:
    `javax.servlet.ServletResponse#reset()`

### resetBuffer

    public void resetBuffer()

  See Also:
    `javax.servlet.ServletResponse#resetBuffer()`

### sendError

    public void sendError(int arg0)
                   throws java.io.IOException

  Throws:
    `java.io.IOException`
  See Also:
    `javax.servlet.http.HttpServletResponse#sendError(int)`

### sendError

    public void sendError(int arg0,
                          java.lang.String arg1)
                   throws java.io.IOException

  Throws:
    `java.io.IOException`
  See Also:
    `javax.servlet.http.HttpServletResponse#sendError(int, java.lang.String)`

### sendRedirect

    public void sendRedirect(java.lang.String arg0)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`
  See Also:
    `javax.servlet.http.HttpServletResponse#sendRedirect(java.lang.String)`

### setBufferSize

    public void setBufferSize(int arg0)

  See Also:
    `javax.servlet.ServletResponse#setBufferSize(int)`

### setContentLength

    public void setContentLength(int arg0)

  See Also:
    `javax.servlet.ServletResponse#setContentLength(int)`

### setContentType

    public void setContentType(java.lang.String newValue)

  See Also:
    `javax.servlet.ServletResponse#setContentType(java.lang.String)`

### setDateHeader

    public void setDateHeader(java.lang.String arg0,
                              long arg1)

  See Also:
    `javax.servlet.http.HttpServletResponse#setDateHeader(java.lang.String, long)`

### setHeader

    public void setHeader(java.lang.String arg0,
                          java.lang.String arg1)

  See Also:
    `javax.servlet.http.HttpServletResponse#setHeader(java.lang.String, java.lang.String)`

### setIntHeader

    public void setIntHeader(java.lang.String arg0,
                             int arg1)

  See Also:
    `javax.servlet.http.HttpServletResponse#setIntHeader(java.lang.String, int)`

### setLocale

    public void setLocale(java.util.Locale arg0)

  See Also:
    `javax.servlet.ServletResponse#setLocale(java.util.Locale)`

### setStatus

    public void setStatus(int arg0)

  See Also:
    `javax.servlet.http.HttpServletResponse#setStatus(int)`

### setStatus

    public void setStatus(int arg0,
                          java.lang.String arg1)

  Deprecated.

  See Also:
    `javax.servlet.http.HttpServletResponse#setStatus(int, java.lang.String)`

### getContentType

    public java.lang.String getContentType()

  Added for Servlet 2.4 support

### setCharacterEncoding

    public void setCharacterEncoding(java.lang.String newValue)

  Added for Servlet 2.4 support

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD